Skip to content

Update bulk-envelope file tasks

Request

Replaces the tasks of a specific bulk-envelope file.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

bulkEnvelopeIdstring, (uuid)required
fileIdstring, (uuid)required

Unique identifier of the file

Bodyapplication/jsonrequired
tasksArray of objects(BulkEnvelopeFieldTaskRequest)required

The complete list of tasks for the file.

PUT
/api/v1/organizations/{organizationId}/bulk-envelopes/{bulkEnvelopeId}/files/{fileId}/tasks
curl -i -X PUT \
  '/api/v1/organizations/{organizationId}/bulk-envelopes/{bulkEnvelopeId}/files/{fileId}/tasks' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "tasks": [
      {
        "field": {
          "fieldType": "Signature",
          "allowedSignatureTypes": [
            {
              "signatureType": "ClickToSignSignature"
            }
          ],
          "qualifiedTimeStamp": true,
          "required": true,
          "batchGroup": "group1",
          "layoutId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "positionX": 100,
          "positionY": 200,
          "width": 200,
          "height": 50,
          "page": 1,
          "id": "sig1"
        },
        "recipientId": null,
        "stageId": null,
        "sortOrder": 1
      }
    ]
  }'

Responses

No Content

Response
No content